Subject: bug#56249: 29.0.50; Compilation buffer parsing "ERROR:" incorrectly

From: Rudolf Adamkovič <[email-masked]>
Date: Wed, 29 Jun 2022 21:47:31 +0200

Mattias Engdegård <[email-masked]> writes:

> Rudolf, I suggest you customise your Emacs by adding something like
>
>   ("^ *ERROR:\\(?1:[^\n:]+\\):\\(?2:[[:digit:]]+\\): " 1 2)
>
> to `compilation-regexp-alist`.

I added it to `compilation-error-regexp-alist`.  TIL and thank you!

> We (that is, I) have no idea what is emitting the message and how
> stable the format is,

Good point!  The message comes from Google Android, and so will change
when some other new half-baked tool comes into fashion next year.

Rudy
-- 
"It is no paradox to say that in our most theoretical moods we may be
nearest to our most practical applications."
-- Alfred North Whitehead, 1861-1947

Rudolf Adamkovič <[email-masked]> [he/him]
Studenohorská 25
84103 Bratislava
Slovakia